      INTEGER FUNCTION LLENG( STRING )
      CHARACTER*(*) STRING
*
      ITEMP = LEN( STRING)
      DO 10 I= ITEMP, 1, -1
         IF ( STRING( I: I) .NE. ' ') GOTO 20
  10  CONTINUE
      LLENG = 0
      GOTO 30
  20  LLENG = I
  30  CONTINUE
      RETURN
      END
